Page MenuHomePhabricator

As a user I want to know the privacy implications of notifications
Closed, ResolvedPublic

Description

As we do on the Explore feed intro screen, we will need some succinct localizable copy explaining that:

  • User's notifications are stored and sent locally
  • They are subject to the same optional anonymous usage data sharing

Event Timeline

JMinor created this task.Oct 4 2016, 9:56 PM

Initial copy for pop-up and FAQ:

"""
Your preferences are stored on your device, and notifications are created and delivered directly by the app, not from our (or third party) servers. Notification use is subject to our standard terms and privacy policy.
"""

I think perhaps something like this would provide even more information to the user (assuming this is not too verbose):

"Your notification preference is stored on the device. Notifications are not based on your personal information or app activity and are created and delivered on your device by the app, not from our (or third party) servers."

Mhurd added a subscriber: Mhurd.Oct 18 2016, 11:55 PM

Hey all I split the string up a bit for easier translation and layout:


More about notifications

Notification preferences are stored on device and not based on personal information or activity.

Notifications are created and delivered on your device by the app, not from our (or third party) servers.


Let me know if anything needs tweaking :)

Mhurd claimed this task.Oct 18 2016, 11:55 PM
Mhurd moved this task from Ready for Development to Doing on the iOS-app-v5.3.0-Welsh-Dragon board.

My understanding is there is only one notification preference (@JMinor can confirm). Also I think people might be more concerned about notifications being based on a personalized profile rather than the preference itself.

So perhaps this might be better (or something like that)?

More about notifications
The notification preference is stored on the device and notifications are not based on personal information or activity.
Notifications are created and delivered on your device by the app, not from our (or third-party) servers.

cmadeo added a subscriber: cmadeo.

Currently the formatting of these two messages doesn't match.
Would it be possible to have the formatting of the dialogue box from on boarding duplicated in the dialogue box in the settings panel (paragraph break and 'Got it' replacing 'ok')?

Dialogue box during on boarding
Dialogue box in settings panel
JMinor closed this task as Resolved.Nov 7 2016, 8:47 PM
sbassett moved this task from Backlog to Done on the Privacy board.Wed, Oct 16, 5:47 PM